## DzlPatternSpec

DzlPatternSpec — Simple glob-like searching

## Functions

DzlPatternSpec * | dzl_pattern_spec_new ()
DzlPatternSpec * | dzl_pattern_spec_ref ()
void | dzl_pattern_spec_unref ()
gboolean | dzl_pattern_spec_match ()
const gchar * | dzl_pattern_spec_get_text ()

## Object Hierarchy

        GBoxed
        ╰── DzlPatternSpec

## Description

This works similar to GPatternSpec except the query syntax is different. It tries to match word boundaries, but with matching partial words up to those boundaries. For example, "gtk widg" would match "gtk_widget_show". Word boundaries include '_' and ' '. If any character is uppercase, then case sensitivity is used.

## Functions

### dzl_pattern_spec_new ()

    DzlPatternSpec *
    dzl_pattern_spec_new (const gchar *keywords);

### dzl_pattern_spec_ref ()

    DzlPatternSpec *
    dzl_pattern_spec_ref (DzlPatternSpec *self);

### dzl_pattern_spec_unref ()

    void
    dzl_pattern_spec_unref (DzlPatternSpec *self);

### dzl_pattern_spec_match ()

    gboolean
    dzl_pattern_spec_match (DzlPatternSpec *self,
                            const gchar *haystack);

### dzl_pattern_spec_get_text ()

    const gchar *
    dzl_pattern_spec_get_text (DzlPatternSpec *self);